Subject: Re: [mpls] Spencer Dawkins' No Objection on draft-ietf-mpls-rfc6374-udp-return-path-04: (with COMMENT)

From: Stewart Bryant <[email-masked]>
Date: Thu, 7 Apr 2016 13:15:22 +0100

On 07/01/2016 04:33, Spencer Dawkins wrote:
> Spencer Dawkins has entered the following ballot position for
> draft-ietf-mpls-rfc6374-udp-return-path-04: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-mpls-rfc6374-udp-return-path/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> I would be fine keeping the to-be-deleted text explaining alternatives
> that were not selected, especially if it was moved to an appendix. If
> anyone ever wonders about the alternatives, that would mean they didn't
> have to dig through e-mail archives to see what was considered and why
> the alternatives were rejected.
>
> I'm not understanding why
>
>     When the MPLS-PLDM Response is requested out-of-band by setting the
>     Control Code of the MPLS-PLDM query to "Out-of-band Response
>     Requested", and the URO is present, the responder SHOULD send the
>     response back to querier on the specified destination UDP port at the
>     specified destination IP address contained in the URO.
>     
> is a SHOULD. Could you help me with that?
>
>

There are certain conditions where such a response is not possible. 
These are
described in the text. I take SHOULD to mean "MUST unless there are 
extenuating
circumstances" and MUST to mean "Unconditionally do".

Stewart

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 13 Apr 2016 12:49:33 -0500

Hi, Stewart,

On 04/07/2016 07:15 AM, Stewart Bryant wrote:
>> Please refer to 
>> https://www.ietf.org/iesg/statement/discuss-criteria.html

Thanks for the clue!

Spencer